import { StatusList } from './promulgate.model';
import * as moment from 'moment/moment';

export interface DataTable {
  lastUpdatedBy?: string;
  contentLevel?: string;
  contentPositionName?: string;
  contentTitleName?: string;
  contentUnitPathName?: string;
  employeeLevel?: string;
  employeePositionName?: string;
  employeeTitleName?: string;
  employeeUnitPathName?: string;
  approvalCode?: string;
  approvalFullName?: string;
  approvalTitleId?: string;
  createdBy?: string;
  currentTitleId?: string;
  currentTitleName?: string;
  currentUnitCode?: string;
  employeeCode?: string;
  employeeName?: string;
  flowStatusPublishCode?: string;
  groupProposeType?: string;
  groupProposeTypeId?: number;
  isGroup?: number;
  issueLevelCode?: string;
  issueLevelName?: string;
  joinDate?: string;
  proposeCategory?: string;
  proposeDetailId?: number;
  proposeId?: number;
  proposeTypeCode?: string;
  proposeTypeName?: string;
  proposeUnit?: string;
  relationType?: string;
  sentDate?: string;
  signerCode?: string;
  signerFullName?: string;
  signerTitleId?: string; //
  proposeUnitRequest?: string | number;
  publishStatusCode?: string;
  publishStatusName?: string | number;
  formRotationCode?: string | number;
  formRotationName?: string;
  currentUnitName?: string | number;
  currentPosition?: string | number;
  currentLevel?: string | number;
  proposeTitle?: string | number;
  proposePosition?: string | number;
  proposeLevel?: string | number;
  statusDisplay?: string;
  statusPublishDisplay?: string;
  signDate?: string | number;
  approvalDate?: string | number;
  effectiveDate?: string | number;
  proposeCode?: number;
  indexFix: number;
  flowStatusCode?: number | string;
  groupByKSPTNL?: boolean;
  publishCode?: string | number;
  formGroup?: string | number;
  id?: number;
  proposeUnitRequestName?: string;
  conditionViolation?: string;
  conditionViolationCode?: number;
  salaryStatus?: string;
  interviewStatus?: string;
  consultationStatus?: string;
  followStatusCode?: string;
  isEdit?: boolean;
  formGroupName?: string;
  withdrawNote?: string;
  withdrawNoteCode?: string;
  lastUpdateDate?: Date | string | null;
  isEndDateWithdraw?: boolean;
}

export interface DataEmployee {
  id?: number;
  proposeId?: number;
  proposeCode?: string;
  contentLevelName?: string;
  levelName?: string;
  issueEffectiveEndDate2?: string;
  issueEffectiveEndDate1?: string;
  contentTargetLevelTitleCode?: string;
  contentPositionName?: string;
  contentUnitPathName?: string;
  formName?: string;
  targetLevel?: string;
  approvalCode?: string;
  approvalFullName?: string;
  contentTitleCode?: number;
  contentTitleName?: string;
  contentUnitCode?: number;
  contentUnitName?: string;
  empCode?: string;
  fullName?: string;
  issueLevelCode?: string;
  jobId?: number;
  jobName?: string;
  joinCompanyDate?: string;
  orgId?: number;
  orgName?: string;
  orgPathId?: string;
  orgPathName?: string;
  posId?: number;
  posName?: string;
  signerCode?: string;
  signerFullName?: string;
  issueEffectiveStartDate?: Date | string | null;
  indexFix?: number;
  proposePublishFiles?: ProposePublishFiles[];
  idIncome?: number;
  nameIncome?: string;
  idInsurance?: number;
  nameInsurance?: string;
  proposeProcessFile?: ProposeProcessFile;
  processFileId?: string;
  processFileName?: string;
  statusPublishCode?: string;
  statusPublishName?: string;
  commentConfirmPublish?: string;
}

export interface SearchIssuedDecision {
  proposeCategory?: string;
  proposeDetailId?: number | string;
  publishCode?: string;
  publishContent?: string;
  proposeCode?: string;
  formRotationCode?: string;
  formRotationName?: string;
  employeeCode?: string;
  employeeName?: string;
  employeeUnitId?: number | string;
  employeeUnitName?: string;
  employeeUnitPathId?: string;
  employeeUnitPathName?: string;
  employeeTitleId?: number | string;
  employeeTitleName?: string;
  contentUnitId?: number | string;
  contentUnitName?: string;
  contentUnitPathId?: string;
  contentUnitPathName?: string;
  contentTitleId?: number | string;
  contentTitleName?: string;
  signerFullName?: string;
  withdrawNoteCode?: number | string;
  withdrawNote?: string;
  createdBy?: string;
  releaseDate?: Date;
  publishCodeReleaseDate?: Date;
  publishStatus?: string;
  publishStatusDisplay?: string;
  effectiveDate?: Date;
  sameDecision?: boolean;
  effectivePeriod?: number | string;
  effectiveEndDate?: Date;
}

export interface DataModelIssuedDecision {
  proposeId?: number;
  proposeDetailId?: number;
  proposeCategory?: string;
  proposeUnitRequest?: string;
  proposeTypeCode?: number | string;
  proposeTypeName?: string;
  relationType?: string | number;
  groupProposeTypeId?: number;
  createdBy?: string;
  sentDate?: Date | string | null;
  flowStatusCode?: string;
  publishStatusCode?: string;
  publishStatusName?: string;
  employeeCode?: string;
  employeeName?: string;
  joinDate?: Date | string | null;
  currentUnitCode?: string;
  currentUnitName?: string;
  currentTitleId?: string;
  currentTitleName?: string;
  currentPosition?: string;
  proposeUnit?: string;
  proposeTitle?: string;
  proposePosition?: string;
  statusDisplay?: string;
  statusPublishDisplay?: string;
  isGroup?: boolean;
  issueLevelCode?: string;
  issueLevelName?: string;
  signerCode?: string;
  signerFullName?: string;
  signerTitleId?: string;
  signDate?: Date | string | null;
  approvalCode?: string;
  approvalFullName?: string;
  approvalTitleId?: string;
  approvalDate?: Date | string | null;
  issueEffectiveStartDate?: Date | string | null;
  indexFix: number;
  id?: number;
  proposeUnitRequestName?: string;
  groupByKSPTNL?: boolean;
  formRotationName?: string;
  employeeUnitPathName?: string;
  employeeTitleName?: string;
  employeePositionName?: string;
  contentUnitPathName?: string;
  contentTitleName?: string;
  conditionViolation?: string;
  conditionViolationCode?: number;
  salaryStatus?: string;
  interviewStatus?: string;
  consultationStatus?: string;
  contentPositionName?: string;
  groupProposeType?: string;
  lastUpdatedBy?: string;
  followStatusCode?: string;
  proposeCode?: number;
  isEdit?: boolean;
  formGroupName?: string;
  withdrawNote?: string;
  withdrawNoteCode?: string;
  lastUpdateDate?: Date | string | null;
  publishCode?: string;
  isEndDateWithdraw?: boolean;
  formGroup?: number | string;
  publishStatus?: string;
  groupPublishId?: number;
  flagGroup?: boolean;
  fullName?: string;
  empCode?: string;
  pubLishCode?: string;
  publishContent?: string;
  withdrawNoteName?: string;
  isRemoveGroup?: boolean;
  statusPublishNameEmp: string | undefined;
  statusPublishCode: string
}

export interface DataModelMergeIssuedDecision {
  proposeId?: number;
  proposeDetailId?: number;
  proposeTypeCode?: number | string;
  groupProposeTypeId?: number;
  createdBy?: string;
  flowStatusCode?: string;
  isGroup?: boolean;
  groupByKSPTNL?: boolean;
  formGroupName?: string;
  formGroup?: number | string;
  approvalCode?: string | number;
  issueLevelCode?: string | number;
  flow?: string | number;
  ksptnlIsGroup?: boolean;
}

export interface BodyTransferToIssue {
  effectiveDate: string;
  commentsIssueTransfer: string | null;
  publishContent: string | null;
}

export interface ProposePublishFiles {
  decisionPublishId?: number;
  decisionPublishName?: string;
  documentType?: number;
  id?: number;
  proposeDetailId?: number;
  proposeId?: number;
  publishCode?: string;
  decisionSignId?: number;
  decisionSignName?: string;
}

export interface ProposeProcessFile {
  docId: string;
  fileName: string;
  id: number;
  parentId: number;
  type: string;
}
